def makeOverspillProb(fname,criticalElev):
    import matplotlib.pyplot as plt
    import numpy as np
    from scipy.stats import gaussian_kde

    #read data
    print fname
    fin=open(fname,"r")
    lines=fin.readlines()
    fin.close()

    values=[]

    for i,line in enumerate(lines):
        a=line.split(",")
        if(i==0): #initial data
            simulation="_".join(a[0].split("_")[0:2])
            yr=int(a[1])
            exceedElev=0
            elevExceeded=0
            n=1

        if(int(a[1])>=yr): #we are in same simulation
            if float(a[4])>=criticalElev:
                elevExceeded=1
                
            yr=int(a[1])
            
        elif("_".join(a[0].split("_")[0:2])==simulation):            # Same GCM, new simulation
            if elevExceeded>0:
                exceedElev+=1
                print simulation,yr,n,"exc elev"
            elevExceeded=0
            n+=1
            yr=int(a[1])
            
        else: #new GCM or scenario
            if elevExceeded>0:
                exceedElev+=1
#                print simulation,yr,n,"exc elev"
            probabExceed=float(exceedElev)/n
            fout.write(str(fname)+','+str(criticalElev)+','+str(simulation)+','+str(n)+','+str(probabExceed)+'\n')
            simulation="_".join(a[0].split("_")[0:2])
            yr=int(a[1])
            exceedElev=0
            elevExceeded=0
            n=1


    if elevExceeded>0:
        exceedElev+=1
        print simulation,yr,n,"exc elev"
    print simulation,n,exceedElev
    probabExceed=float(exceedElev)/n
    fout.write(str(fname)+','+str(criticalElev)+','+str(simulation)+','+str(n)+','+str(probabExceed)+'\n')


fout=open('overspillProb_alfaout.out',"w")

criticalElev=444.398
makeOverspillProb("CMIP5_20s_alfafout_RCP26.txt",criticalElev)
makeOverspillProb("CMIP5_20s_alfafout_RCP45.txt",criticalElev)
makeOverspillProb("CMIP5_20s_alfafout_RCP60.txt",criticalElev)
makeOverspillProb("CMIP5_20s_alfafout_RCP85.txt",criticalElev)
makeOverspillProb("CMIP5_50s_alfafout_RCP26.txt",criticalElev)
makeOverspillProb("CMIP5_50s_alfafout_RCP45.txt",criticalElev)
makeOverspillProb("CMIP5_50s_alfafout_RCP60.txt",criticalElev)
makeOverspillProb("CMIP5_50s_alfafout_RCP85.txt",criticalElev)


fout.close()
print 'ok'

    
        



