import os
from glob import iglob, glob
from math import log10

pathCLIdata="C:\\markSim\\CLIdata\\"
pathOutput="C:\\markSim\\SWAT\\"


paths = glob(pathCLIdata+'\\*\\')
for path in paths:
    year=0
    out=[]
    for filename in iglob(path+"*.WTG"):
        year+=1
        fin=open(filename,'r')
        lines=fin.readlines()
        fin.close()

        day=0
        for nline,line in enumerate(lines):
            if nline<4: continue
            items=line.split()
            if items==[]: continue
            day+=1
            srad=float(items[1])
            tmax=float(items[2])
            tmin=float(items[3])
            p=float(items[4])

            out.append("\t"+str(year)+"\t"+str(day)+"\t"+str(tmin)+"\t"+str(tmax)+"\t"+str(p)+"\n")

    folderName=path.split("\\")[-2]
    x=folderName.split("_")
    x="_".join([x[0],str(int(log10(int(x[1]))+1)),x[2],x[3]])
    fout=open(pathOutput+x+".dat",'w')
    fout.writelines(out)
    fout.close()

